import UIKit

// MARK: - Протоколы

protocol MainSection16Buttons {
}

// MARK: - Реализация

extension Main {
  enum Section16Buttons {
    static func setupCore(_ core: Main.VC) {
      // Создаём 16 кнопок.
      for i in 0..<16 {
        let btn = UIButton()
        core.buttons.append(btn)
        btn.tag = i
        //????btn.addTarget(self, action: #selector(selectButton), for: .touchUpInside)
        core.view.addSubview(btn)
      }
      
      // Расставляем их в сетке 4x4.
      for btn in core.buttons {
        btn.frame = CGRect(x: 0, y: btn.tag * 60, width: 50, height: 50)
        btn.backgroundColor = .blue
      }
    }
  }
}
